package com.zhyc.module.produce.breed.service;

import java.util.List;

import com.zhyc.module.produce.breed.domain.ScBreedPlan;

/**
 * 配种计划Service接口
 * 
 * @author ruoyi
 * @date 2025-07-16
 */
public interface IScBreedPlanService 
{
    /**
     * 查询配种计划
     * 
     * @param id 配种计划主键
     * @return 配种计划
     */
    public ScBreedPlan selectScBreedPlanById(Long id);

    /**
     * 查询配种计划列表
     * 
     * @param scBreedPlan 配种计划
     * @return 配种计划集合
     */
    public List<ScBreedPlan> selectScBreedPlanList(ScBreedPlan scBreedPlan);

    /**
     * 新增配种计划
     * 
     * @param scBreedPlan 配种计划
     * @return 结果
     */
    public int insertScBreedPlan(ScBreedPlan scBreedPlan);

    /**
     * 修改配种计划
     * 
     * @param scBreedPlan 配种计划
     * @return 结果
     */
    public int updateScBreedPlan(ScBreedPlan scBreedPlan);

    /**
     * 批量删除配种计划
     * 
     * @param ids 需要删除的配种计划主键集合
     * @return 结果
     */
    public int deleteScBreedPlanByIds(Long[] ids);

    /**
     * 删除配种计划信息
     * 
     * @param id 配种计划主键
     * @return 结果
     */
    public int deleteScBreedPlanById(Long id);
}
